/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, July 2020
 */

// @ts-nocheck

import Vue from 'vue';
import VueRouter from 'vue-router';
import NotFound from '../views/NotFound.vue';
import Home from '../views/Home.vue';

Vue.use (VueRouter);

const routes = [
  {
    path:      '/',
    name:      'Home',
    component: Home
  },
  {
    path:      '/app/:id',
    redirect: '/'
  },
  {
    path:      '/404',
    name:      '404',
    component: NotFound
  },
  { path: '*', redirect: '404' }
];

const router = new VueRouter ({
  mode:     'history',
  // eslint-disable-next-line no-process-env
  base:     process.env.BASE_URL,
  routes,
  fallback: true
});

export default router;
